On 04/25/12 16:08, Matthias Melcher wrote:
> It's currently:
> 
> C:\MinGW\msys\1.0\bin\sh.exe --login -c "( cd 
> /c/jenkins/workspace/FLTK_1.3_MSVista_MinGW && date 

        Hmm, I'd suggest '|| set ERRORLEVEL=1' inside the quotes
        is the problem; inside the quotes it's being parsed by sh(1)
        (and therefore ignored).

        I could see a few ways to fix it, the easiest being to just
        change the '|| set ERRORLEVEL=1' to instead '|| exit 1', ie:

C:\MinGW\msys\1.0\bin\sh.exe --login -c "( cd 
/c/jenkins/workspace/FLTK_1.3_MSVista_MinGW && date && gcc --version && 
autoconf && ./configure && make && date ) || exit 1"

        Or, perhaps it's better to make your own sh script
        that has all the logic in it, eg:

C:\MinGW\msys\1.0\bin\sh.exe /c/somewhere/your_mingw.sh

        ..where 'your_mingw.sh' might look like:

#!/bin/sh
cd /c/jenkins/workspace/FLTK_1.3_MSVista_MinGW
echo "--- GCC VERSION:"         # show..
gcc --version                   # ..gcc version info
echo "--- Started: `date`"      # show start time
autoconf && make                # run the actual build
set err=$?                      # save exit code
echo "--- Finished: `date`"     # show completion time
exit $err                       # return build exit code to parent
_______________________________________________
fltk-dev mailing list
[email protected]
http://lists.easysw.com/mailman/listinfo/fltk-dev

Reply via email to